Subject: [Dime] diameter redirect

From: "Paulo Rolo" <[email-masked]>
Date: Wed, 19 Jul 2006 10:31:08 +0100

Hello,

We are currently developing a set of Diameter interfaces and some doubts have arise, concerning SLF usage.

On ETSI TS 123 228 (IP Multimedia Subsystem (IMS)) at section 5.8.1 (User identity to HSS resolution) it is suggested that a Public User Identity should be selected and used as input to SLF_QUERY, in order to resolve to the correct HSS name. 

Also at section 6.1.2 (S-CSCF registration/deregistration notification) of TS 129 228 (IP Multimedia (IM) Subsystem Cx and Dx Interfaces), it is suggested that if Routing Information is not available for SAR (S-CSCF registration/deregistration), it should be routed to next diameter node, for example SLF.  

The issue is that on TS 129 229 (Cx and Dx interfaces based on the Diameter protocol) at section 6.1.3 (Server-Assignment-Request (SAR) Command) the Public-Identity is presented as an optional attribute. If it is not present how should be SLF_QUERY performed? All the other messages (UAR, LIR, MAR) have Public-Identity as mandatory.

Thanks in advance,
Paulo Rolo

Network and Protocols Unit
Intelligent Networks Department
Portugal Telecom Inovação, S.A

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: "Nguyen, An P CIV NCS NC2" <[email-masked]>
Date: Tue, 25 Jul 2006 10:18:30 -0400

Classification:  UNCLASSIFIED 
Caveats: NONE

Paulo,

I am interested in discussions of the development of the IMS Cx and Dx Interfaces, which are based upon DIAMETER protocol. I'd like to ask the group that how authorized users (associated with ETS.x and WPS.x namespaces) as in RFC 4412 can be taken into account as far as registration & deregistration are concerned. Should they be some AVP values defined for these namespaces?

Regards,

An
-----Original Message-----
From: Paulo Rolo [mailto:[email-masked]] 
Sent: Wednesday, July 19, 2006 5:31 AM
To: [email-masked]
Subject: [Dime] diameter redirect

Hello,

Thanks in advance,
Paulo Rolo

 

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime
Classification:  UNCLASSIFIED 
Caveats: NONE